Page MenuHomeFreeBSD

Update textproc/hunspell to 1.6.0
ClosedPublic

Authored by jbeich on Dec 22 2016, 5:49 PM.

Details

Summary
  • Restore DIST_SUBDIR from rP305651 (requested by @sunpoet)
  • Adjust license for or later clause
  • Restore GPLv2+/LGPL21+ license files removed upstream as GPLv3+/LGPL3+ only affects Hunspell 2.0 (not currently built)
  • Unbreak make makepatch

https://github.com/hunspell/hunspell/releases/tag/v1.6.0

Test Plan

poudriere bulk -t is green for 103i386, 103amd64, 110i386, 110amd64, head-amd64 but see bug 215714 which is going to test consumers.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sunpoet updated this revision to Diff 23202.Dec 22 2016, 5:49 PM
sunpoet retitled this revision from to Update textproc/hunspell to 1.6.0.
sunpoet updated this object.
sunpoet edited the test plan for this revision. (Show Details)
sunpoet updated this revision to Diff 23205.Dec 22 2016, 6:39 PM

Update textproc/hunspell to 1.6.0

sunpoet updated this object.Dec 22 2016, 6:42 PM
sunpoet added reviewers: jbeich, office.
jbeich requested changes to this revision.Dec 22 2016, 7:27 PM
jbeich edited edge metadata.

Can you check consumers (including non-default) for build regressions?

textproc/hunspell/Makefile
5 ↗(On Diff #23205)

Minor updates affect SHLIB_VER which means adjusting LIB_DEPENDS, build glue (e.g. rP427160, rP427161, rP427163, rP427164, rP427165) and bumping PORTREVISION in consumers.

16 ↗(On Diff #23205)

Make sure each _FILE is represented in LICENSE. Try testing with

$ LICENSES_ASK=1 make clean patch
This revision now requires changes to proceed.Dec 22 2016, 7:27 PM
sunpoet abandoned this revision.Dec 31 2016, 12:35 PM
jbeich updated this revision to Diff 23547.EditedJan 2 2017, 5:27 PM
jbeich edited edge metadata.
  • Restore GPLv2+/LGPL21+ license files removed upstream as GPLv3+/LGPL3+ only affects Hunspell 2.0 (not currently built)
  • Unbreak make makepatch
  • Adjust LIB_DEPENDS and CMake patches in consumers
  • Bump PORTREVISION in consumers
jbeich added a subscriber: rakuco.Jan 2 2017, 6:13 PM
jbeich added inline comments.
x11/kdelibs4/files/patch-git_2ab2745
16 ↗(On Diff #23547)

@rakuco, is this change fine with you or do you want it in a separate patchfile?

jbeich commandeered this revision.Jan 2 2017, 6:24 PM
jbeich edited reviewers, added: sunpoet; removed: jbeich.
jbeich updated this object.Jan 2 2017, 6:30 PM
jbeich edited the test plan for this revision. (Show Details)
jbeich removed a reviewer: sunpoet.
jbeich updated this revision to Diff 23561.Jan 2 2017, 9:15 PM
jbeich updated this object.
jbeich added a subscriber: sunpoet.
  • Adjust CMake patches for libhunspell.so symlink but don't actually add it yet
  • Wrap long lines in CMake patches
  • textproc/kf5-sonnet: unbreak
  • x11/kdelibs4: move hunspell-1.6 fix into a separate file
jbeich added a comment.Jan 2 2017, 9:21 PM

arc diff occasionally editing SUMMARY seems to be a black magic.

This revision was automatically updated to reflect the committed changes.

@rakuco, is this change fine with you or do you want it in a separate patchfile?

Sorry for not responding earlier, I was somewhat AFK. Glad to see it was committed.